libmms-devel-0.6.4-lp150.34.4.x86_64.rpm


Advertisement

Description

libmms-devel - Libmms development files

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name libmms-devel
Package version 0.6.4
Package release lp150.34.4
Package architecture x86_64
Package type rpm
Installed size 11.53 KB
Download size 12.72 KB
Official Mirror ftp.gwdg.de
Headers and libraries to program against libmms

Alternatives

Package Version Architecture Repository
libmms-devel-0.6.4-lp150.1.7.x86_64.rpm 0.6.4 x86_64 openSUSE Oss
libmms-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
glibc-devel -
libmms0 = 0.6.4

Provides

Name Value
libmms-devel = 0.6.4-lp150.34.4
libmms-devel(x86-64) = 0.6.4-lp150.34.4
pkgconfig(libmms) = 0.6.4

Download

Type URL
Binary Package libmms-devel-0.6.4-lp150.34.4.x86_64.rpm
Source Package libmms-0.6.4-lp150.34.4.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install libmms-devel rpm package:
    # zypper install libmms-devel

Files

Path
/usr/include/libmms/mms.h
/usr/include/libmms/mms_config.h
/usr/include/libmms/mmsh.h
/usr/include/libmms/mmsio.h
/usr/include/libmms/mmsx.h
/usr/lib64/libmms.so
/usr/lib64/pkgconfig/libmms.pc

Changelog

2017-02-09 - dimstar@opensuse.org
- Explicitly package %{_docdir}/%{name} to fix build with RPM 4.13.
2015-12-16 - olaf@aepfle.de
- Restore BuildRoot: for SLE_11
2014-04-23 - sbrabec@suse.cz
- Update to version 0.6.4:
* Fix a possible heap memory overrun (bnc#874723, CVE-2014-2892).
* Some changes for more recent automake versions.
* Remove glib dependency.
* Fix several issues that prevented seeking from working.
* Remove dependency on iconv.
* Fix connecting to certain mms streams.
2013-03-24 - crrodriguez@opensuse.org
- libmms-nognetexport.patch: libmms
exports functions that belong to gnome's gnet
library, that will of course cause symbol clashes.
We cannot just link to the system's gnet because it uses
and slightly older API, just hide the symbols instead.
2012-11-22 - crrodriguez@opensuse.org
- libmms-pkgconfig.patch: DO not inject bogus build
dependencies via pkgconfig files, in this case glib2 which
will pull pcre and so on...
2012-03-05 - toddrme2178@gmail.com
- Added 32bit-compatibility package, needed by
gstreamer-0_10-plugins-bad-32bit
2011-09-20 - toddrme2178@gmail.com
- Changed one remaining case of %{name}0 to %{name}%{soname}
- Removed some extraneous spaces
2011-09-16 - toddrme2178@gmail.com
- Added xine mailing list discussions about LGPL relicensing of
xine code
- Added note in spec file about LGPL relicensing of xine code
2011-08-04 - toddrme2178@gmail.com
- Switch to stored tarball rather that using the download service
2011-01-23 - reddwarf@opensuse.org
- Update to 0.6.2

See Also

Package Description
libmms0-0.6.4-lp150.34.4.x86_64.rpm MMS stream protocol library
libmodplug-devel-0.3.11-lp150.30.2.x86_64.rpm Development files for libmodplug
libmodplug1-0.3.11-lp150.30.2.x86_64.rpm Library to operate with module formats
libmovit8-1.6.2-lp150.30.1.x86_64.rpm GPU video filter library
libmp3lame-devel-3.100-lp150.10.5.x86_64.rpm Development files for the LAME MP3 encoder
libmp3lame0-3.100-lp150.10.5.x86_64.rpm The LAME MP3 encoder library
libmpcdec-devel-1.2.6-lp150.46.4.x86_64.rpm Musepack Audio Decoder
libmpcdec5-1.2.6-lp150.46.4.x86_64.rpm Musepack Audio Decoder
libmpd-devel-11.8.17-lp150.2.5.x86_64.rpm Development Files for libmpd
libmpd1-11.8.17-lp150.2.5.x86_64.rpm The libmpd package
libmpdclient-devel-2.13-lp150.3.5.x86_64.rpm Development files for libmpdclient
libmpdclient2-2.13-lp150.3.5.x86_64.rpm Library for interfacing the Music Player Daemon
libmpeg2-0-0.5.1-lp150.10.2.x86_64.rpm MPEG-2 Video Stream Decoder
libmpeg2-devel-0.5.1-lp150.10.2.x86_64.rpm Development files for libmpeg2
libmpeg2convert0-0.5.1-lp150.10.2.x86_64.rpm MPEG-2 Video Stream Decoder
Advertisement
Advertisement